Supported Feathercoin client versions: Current production Version: 0.16.0.

Old Production Version: 0.13.2

Info: If you have problems to post, create one post in the ‘newbies’ category and try again. If you have further problems, find support under Guides or use the shoutbox

FSight: Feathercoin Block Explorer + API


  • Moderators

    This has been upgraded to 0.9.6.1 - The latest Feathercoin Core production version.

    I’ve also increased the bandwidth on my VPS and increased the allowed connection count for feathercoind.

    Hopefully this will help with new users syncing.


  • Moderators

    This has been upgraded to 0.9.6.2 - The latest Feathercoin Core production version.


  • Moderators

    This was down for 6 hours today as the daemon crashed. Back up now and fully synced.



  • @AcidD do you have any plans to update it to 0.13 or even 0.16?

    Would be great to have a blockexplorer that can handle the coming Bech32 addresses.


  • Moderators

    @lclc_ said in FSight: Feathercoin Block Explorer + API:

    @AcidD do you have any plans to update it to 0.13 or even 0.16?

    Would be great to have a blockexplorer that can handle the coming Bech32 addresses.

    Hey - it’s on my list of things to do.

    I dont think my current version of insight supports Bech32 addresses or any of the cooler stuff we have going on FTC (it’s super old)

    I spoke with Bush about porting the insight api but we need to port bitcore and a few other bits before it will work.

    The problem for me here is time! - I just dont have it these days 😞


  • Moderators

    Hi All,

    This has been upgraded to Feathercoin Core 0.13.1.0 and the service has been moved to a more powerful server thanks to @ChekaZ

    HTTPS certificate has been renewed as well.


  • Moderators

    @acidd said in FSight: Feathercoin Block Explorer + API:

    Hi All,

    This has been upgraded to Feathercoin Core 0.13.1.0 and the service has been moved to a more powerful server thanks to @ChekaZ

    HTTPS certificate has been renewed as well.

    What was needed to change to get it working?
    As far as I know some of the RPC calls required are not available anymore with 0.13.
    I never got all functions of the explorer working


  • Moderators

    @Wellenreiter - where did you get stuck ?

    I just moved my code to the new server and fired it up against a 0.13 client and it worked.

    In the insight-api code - Any client/daemon greater than 0.9 needs to be synced from RPC.

    There’s an environment variable like FORCE_RPC_SYNC=1 that you must have set when running insight.

    if it syncs from the daemon it shouldnt need all the calculations for neoscrypt as it reads the already calculated blocks from the daemon.


    Yesterday I semi-ported this for Trezarcoin @ChekaZ

    explorer.trezarcoin.com - over here a patch was done so that it syncs from RPC - as since it’s a custom PoS/PoW coin the node app crashes over certain things, so i did a patch to force RPC.


  • Moderators

    @acidd Will try


  • Moderators

    @wellenreiter said in FSight: Feathercoin Block Explorer + API:

    @acidd Will try

    For testing this is what I run to start it.

    export INSIGHT_NETWORK="livenet" && export INSIGHT_PUBLIC_PATH=public && export INSIGHT_FORCE_RPC_SYNC=1 && node insight.js
    
    

    once it’s all working properly I make a .service file with the same parameters.


 

Looks like your connection to Feathercoin Forum was lost, please wait while we try to reconnect.